net.sf.jasperreports.charts.fill

## Class JRFillTimeSeriesDataset

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillElementDataset
  - - net.sf.jasperreports.engine.fill.JRFillChartDataset
    - - net.sf.jasperreports.charts.fill.JRFillTimeSeriesDataset

- All Implemented Interfaces:
    java.lang.Cloneable, JRTimeSeriesDataset, JRChartDataset, JRCloneable, JRElementDataset

      public class JRFillTimeSeriesDataset
      extends JRFillChartDataset
      implements JRTimeSeriesDataset

  Version:
    $Id: JRFillTimeSeriesDataset.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Flavius Sana (flavius_sana@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRFillTimeSeries[]` | `timeSeries`

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRFillElementDataset

      `datasetRun, incrementGroup, parent, resetGroup`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRChartDataset

      `CATEGORY_DATASET, GANTT_DATASET, HIGHLOW_DATASET, PIE_DATASET, TIMEPERIOD_DATASET, TIMESERIES_DATASET, VALUE_DATASET, XY_DATASET, XYZ_DATASET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRFillTimeSeriesDataset(JRTimeSeriesDataset timeSeriesDataset, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `protected void` | `customEvaluate(JRCalculator calculator)` Evaluates the expressions associated with the dataset.
    `protected void` | `customIncrement()` Increments the dataset by collecting the result of the expression evaluation.
    `protected void` | `customInitialize()` Initializes the element dataset.
    `org.jfree.data.general.Dataset` | `getCustomDataset()`
    `byte` | `getDatasetType()` Gets the dataset type.
    `java.util.Map<java.lang.Comparable<?>,java.util.Map<org.jfree.data.time.RegularTimePeriod,JRPrintHyperlink>>` | `getItemHyperlinks()`
    `java.lang.Object` | `getLabelGenerator()`
    `JRTimeSeries[]` | `getSeries()`
    `java.lang.Class<?>` | `getTimePeriod()`
    `boolean` | `hasItemHyperlinks()`
    `void` | `setTimePeriod(java.lang.Class<?> timePeriod)`
    `void` | `validate(JRVerifier verifier)` Validates the dataset using a verifier.

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRFillChartDataset

      `getDataset`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRFillElementDataset

      `clone, evaluate, evaluateDatasetRun, evaluateIncrementWhenExpression, getDatasetRun, getFillDataset, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getInputDataset, getResetGroup, getResetTypeValue, getTimeZone, increment, initialize, setBand`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset

      `getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Field Detail

    - #### timeSeries

          protected JRFillTimeSeries[] timeSeries

  - ### Constructor Detail

    - #### JRFillTimeSeriesDataset

          public JRFillTimeSeriesDataset(JRTimeSeriesDataset timeSeriesDataset,
                                 JRFillObjectFactory factory)

  - ### Method Detail

    - #### getSeries

          public JRTimeSeries[] getSeries()

      Specified by:
        `getSeries` in interface `JRTimeSeriesDataset`
      Returns:
        an array of `JRTimeSeries` objects representing the series for the Time Series chart
      See Also:
        `JRTimeSeries`

    - #### customInitialize

          protected void customInitialize()

      Description copied from class: `JRFillElementDataset`
      Initializes the element dataset.

      The dataset is initialized before being used and after each time the dataset gets reset.

      Specified by:
        `customInitialize` in class `JRFillElementDataset`
      See Also:
        `JRFillElementDataset.getResetTypeValue()`

    - #### customEvaluate

          protected void customEvaluate(JRCalculator calculator)
                                 throws JRExpressionEvalException

      Description copied from class: `JRFillElementDataset`
      Evaluates the expressions associated with the dataset.

      Usually, the result of the evaluation would be preserved so that it is used in `JRFillElementDataset.customIncrement()`

      Specified by:
        `customEvaluate` in class `JRFillElementDataset`
      Parameters:
        `calculator` - used to evaluate expressions
      Throws:
        `JRExpressionEvalException` - any exception that occurs while evaluating expressions

    - #### customIncrement

          protected void customIncrement()

      Description copied from class: `JRFillElementDataset`
      Increments the dataset by collecting the result of the expression evaluation.
      Specified by:
        `customIncrement` in class `JRFillElementDataset`

    - #### getCustomDataset

          public org.jfree.data.general.Dataset getCustomDataset()

      Specified by:
        `getCustomDataset` in class `JRFillChartDataset`

    - #### getTimePeriod

          public java.lang.Class<?> getTimePeriod()

      Specified by:
        `getTimePeriod` in interface `JRTimeSeriesDataset`
      Returns:
        the time period. Specifies the type of the data series inside the dataset. Time series can contain numeric values associated with days, months, years, or other predefined time periods.
      See Also:
        `TimePeriodEnum`

    - #### setTimePeriod

          public void setTimePeriod(java.lang.Class<?> timePeriod)

      Specified by:
        `setTimePeriod` in interface `JRTimeSeriesDataset`
      Parameters:
        `timePeriod` - the time period associated with days, months, years, or other predefined time periods.
      See Also:
        `TimePeriodEnum`

    - #### getDatasetType

          public byte getDatasetType()

      Description copied from interface: `JRChartDataset`
      Gets the dataset type. Must be one of the dataset type constants defined in this class.
      Specified by:
        `getDatasetType` in interface `JRChartDataset`

    - #### getLabelGenerator

          public java.lang.Object getLabelGenerator()

      Specified by:
        `getLabelGenerator` in class `JRFillChartDataset`

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Specified by:
        `collectExpressions` in interface `JRElementDataset`

    - #### getItemHyperlinks

          public java.util.Map<java.lang.Comparable<?>,java.util.Map<org.jfree.data.time.RegularTimePeriod,JRPrintHyperlink>> getItemHyperlinks()

    - #### hasItemHyperlinks

          public boolean hasItemHyperlinks()

    - #### validate

          public void validate(JRVerifier verifier)

      Description copied from interface: `JRChartDataset`
      Validates the dataset using a verifier.

      Broken rules are collected by the verifier.

      Specified by:
        `validate` in interface `JRChartDataset`
      Parameters:
        `verifier` - the verifier to use for validation

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com